require 'rho/rhocontroller'
require 'helpers/browser_helper'

class ProjectsController < Rho::RhoController
  include BrowserHelper
  
  # GET /Redmine
  def index
    @redmine = Redmine.find(:first)
    puts @redmine
    req = Rho::AsyncHttp.get(url: "http://#{@redmine.uri}/projects.json?key=#{@redmine.api_key}")
    if req['status'] == 'ok'
      @projects = req['body']['projects']
    end
    render :back => '/app'
  end
end
